import request from '@/utils/request'

// 工程监理--验收登记列表
export function apiSupervisionAcceptLists(params: any) {
    return request.get({ url: '/supervision_work.supervision_accept/lists', params })
}

// 添加工程监理--验收登记
export function apiSupervisionAcceptAdd(params: any) {
    return request.post({ url: '/supervision_work.supervision_accept/add', params })
}

// 编辑工程监理--验收登记
export function apiSupervisionAcceptEdit(params: any) {
    return request.post({ url: '/supervision_work.supervision_accept/edit', params })
}

// 删除工程监理--验收登记
export function apiSupervisionAcceptDelete(params: any) {
    return request.post({ url: '/supervision_work.supervision_accept/delete', params })
}

// 工程监理--验收登记详情
export function apiSupervisionAcceptDetail(params: any) {
    return request.get({ url: '/supervision_work.supervision_accept/detail', params })
}

// 工程监理--验收登记详情
export function apisupervision_accept_result(params: any) {
    return request.get({ url: '/supervision_work.supervision_accept_result/lists', params })
}

export function apisupervision_accept_result_delete(params: any) {
    return request.post({ url: '/supervision_work.supervision_accept_result/delete', params })
}

export function apisupervision_accept(params: any) {
    return request.post({ url: '/supervision_work.supervision_accept/accept', params })
}